Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.security.drm.model
Class Group

    java.lang.Object
      org.deegree.security.drm.model.SecurableObject
          org.deegree.security.drm.model.Group

    public class Group

extends SecurableObject

Implementation of group-objects. `Groups` s can be members of other `Groups` and have associated `Role`s.

Version:
  $Revision: 18195 $
Author:
  Markus Schneider

Field Summary
`static int` | `ID_SEC_ADMIN`

Fields inherited from class org.deegree.security.drm.model.SecurableObject
`id, name, registry, title, type`

Constructor Summary
`Group(int id, String name, String title, SecurityRegistry registry)` Creates a new `Group` -instance.

Method Summary
`Group[]` | `getGroups(SecurityAccess securityAccess)` Returns the `Groups` s that are DIRECT members (i.e. not via inheritance) of this group.
`Privilege[]` | `getPrivileges(SecurityAccess securityAccess)` Returns the `Privileges` that the `Group` has.
`RightSet` | `getRights(SecurityAccess securityAccess, SecurableObject object)` Returns the rights that this `Group` has on the given `SecurableObject`.
`Role[]` | `getRoles(SecurityAccess securityAccess)` Returns `Role` s that this group is associated with directly.
`User[]` | `getUsers(SecurityAccess securityAccess)` Returns the `User` s that are DIRECT (i.e. not via group membership) members of this group.
`String` | `toString(SecurityAccess securityAccess)` Returns a `String` representation of this object.

Methods inherited from class org.deegree.security.drm.model.SecurableObject
`equals, getID, getName, getTitle, getType, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### ID_SEC_ADMIN

    public static final int ID_SEC_ADMIN

See Also:
  Constant Field Values

Constructor Detail

### Group

    public Group(int id,
                 String name,
                 String title,
                 SecurityRegistry registry)

  Creates a new `Group` -instance.

  Parameters:
    `id` -
    `name` -
    `title` -
    `registry` -

Method Detail

### getUsers

    public User[] getUsers(SecurityAccess securityAccess)
                    throws GeneralSecurityException

  Returns the `User` s that are DIRECT (i.e. not via group membership) members of this group.

  Parameters:
    `securityAccess` -
  Throws:
    `GeneralSecurityException`

### getGroups

    public Group[] getGroups(SecurityAccess securityAccess)
                      throws GeneralSecurityException

  Returns the `Groups` s that are DIRECT members (i.e. not via inheritance) of this group.

  Parameters:
    `securityAccess` -
  Throws:
    `GeneralSecurityException`

### getRoles

    public Role[] getRoles(SecurityAccess securityAccess)
                    throws GeneralSecurityException

  Returns `Role` s that this group is associated with directly.

  Parameters:
    `securityAccess` -
  Throws:
    `GeneralSecurityException`

### getPrivileges

    public Privilege[] getPrivileges(SecurityAccess securityAccess)
                              throws GeneralSecurityException

  Returns the `Privileges` that the `Group` has.

  Parameters:
    `securityAccess` -
  Throws:
    `GeneralSecurityException`

### getRights

    public RightSet getRights(SecurityAccess securityAccess,
                              SecurableObject object)
                       throws GeneralSecurityException

  Returns the rights that this `Group` has on the given `SecurableObject`.

  Parameters:
    `securityAccess` -
  Throws:
    `GeneralSecurityException`

### toString

    public String toString(SecurityAccess securityAccess)

  Returns a `String` representation of this object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org